summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-java/pdfbox
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-java/pdfbox')
-rw-r--r--dev-java/pdfbox/Manifest3
-rw-r--r--dev-java/pdfbox/files/pdfbox-1.8.8-build.xml.patch134
-rw-r--r--dev-java/pdfbox/metadata.xml5
-rw-r--r--dev-java/pdfbox/pdfbox-0.7.3-r3.ebuild102
-rw-r--r--dev-java/pdfbox/pdfbox-1.8.8.ebuild64
5 files changed, 308 insertions, 0 deletions
diff --git a/dev-java/pdfbox/Manifest b/dev-java/pdfbox/Manifest
new file mode 100644
index 00000000000..37b1a639240
--- /dev/null
+++ b/dev-java/pdfbox/Manifest
@@ -0,0 +1,3 @@
+DIST PDFBox-0.7.3.zip 22769102 SHA256 5c6f6c87cdbf247ff29d0ce691ab977c2e869070d54cf1bd6305e0fd84e7373d SHA512 1d76d5e96be26f89fdb53f68d60320dbfd5ff9c575b8ef076c8dadd3ffac6aa42f69248f9df3532c171de6093e7b5ffc097f40461a33077256f57cf75e41a6b1 WHIRLPOOL 7d0eda7449e3e6bd8d7426ed884b9d6cdeebf03104d4b3dde2bf499595d3a15906d4f26b38dd84434faca7d6d9b150353b6e2e2bb1592d2b4af716a8633d7b1e
+DIST pcfi-2010.08.09.jar 6731455 SHA256 a787fb2a842de7bd5ee4fa13c4808aa6793380dde0219560b50054f6ca25c77c SHA512 067394ddac4a48ba8ac94b03f907d0faf98a91be658689a34eb85fdce49515582426f6a1fa433bfa87ca417ce3a6fa3aa89d89126a36176d8e04f3359c36d10b WHIRLPOOL fa9e9b6b2cc45f749101726c8fb7a4c7719d78448122c465b60696cd5be1a2a27bc65f549429d5a74c79bc74aaed39b3c0a8dfe02ec569303b96faa818410e73
+DIST pdfbox-1.8.8-src.zip 11339989 SHA256 90d6b9a33682586e29bbce4ffeadf38c12fe0373bfe82441c1a63610a9c4ea8a SHA512 254361d0dcbfdc52bc78a2ed7e121065a2d173d1362a219d6644c3cc8a83a37904744e03f1725e2db67494d5f54f822b6e5a16dd8e791906efb9c348d564552f WHIRLPOOL cd9e71be60ee6d92c34f4affe7d6b074896920491a731a65f2b74e9e09754e836288c632e5d4a24b2d8aba64505dc58d2c3f8d0dd103c33773fce6dcd187e5a3
diff --git a/dev-java/pdfbox/files/pdfbox-1.8.8-build.xml.patch b/dev-java/pdfbox/files/pdfbox-1.8.8-build.xml.patch
new file mode 100644
index 00000000000..cb8c8cd62a4
--- /dev/null
+++ b/dev-java/pdfbox/files/pdfbox-1.8.8-build.xml.patch
@@ -0,0 +1,134 @@
+--- build.xml.orig 2015-05-12 16:41:01.813664913 +0000
++++ build.xml 2015-05-12 16:44:10.434652444 +0000
+@@ -28,7 +28,7 @@
+ <property name="tool.dir" value="tools" />
+ <property name="bin.dir" value="bin" />
+
+- <property name="project.version" value="1.8.7" />
++ <property name="project.version" value="1.8.8" />
+
+ <!-- pdfbox -->
+ <property name="pdfbox.project.name" value="pdfbox"/>
+@@ -95,9 +95,6 @@
+ <property name="testoutput-ext.dir" value="${pdfbox.target.dir}/test-output-ext"/>
+ <property name="testinput-ext.dir" value="${pdfbox.target.dir}/test-input-ext"/>
+
+- <property name="adobefiles.url" value="${maven.repo2}/com/adobe/pdf/pcfi/2010.08.09/pcfi-2010.08.09.jar"/>
+- <property name="adobefiles.jar" value="${download.dir}/pcfi-2010.08.09.jar"/>
+-
+ <property name="file" value=""/>
+
+ <!--.NET properties -->
+@@ -171,7 +168,7 @@
+ <mkdir dir="${jempbox.dest.dir}"/>
+ </target>
+
+- <target name="pdfbox.compile" depends="fontbox.package,jempbox.package,pdfbox.init,get.adobefiles"
++ <target name="pdfbox.compile" depends="fontbox.package,jempbox.package,pdfbox.init"
+ description="Compile Java source files">
+ <!-- required encoding flag to be able to build using ibm-jdk on redhat ES-->
+ <javac srcdir="${pdfbox.src.dir}" destdir="${pdfbox.dest.dir}"
+@@ -206,31 +203,6 @@
+
+ <target name="test" depends="testextract,test-junit,testimage" description="Run all the junit tests"/>
+
+- <target name="find.adobefiles">
+- <available property="adobefiles.found" file="${dest.dir}/org/apache/pdfbox/resources/cmap"/>
+- </target>
+-
+- <target name="get.adobefiles"
+- unless="adobefiles.found" depends="find.adobefiles"
+- description="Download and unpack afm and cmap files from Adobe">
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${adobefiles.url}"/>
+- <param name="destfile" value="${adobefiles.jar}"/>
+- </antcall>
+- <unjar src="${adobefiles.jar}" dest="${pdfbox.dest.dir}/org/apache/pdfbox/resources/afm">
+- <patternset>
+- <include name="com/adobe/pdf/pcfi/afm/*.afm"/>
+- </patternset>
+- <mapper type="flatten"/>
+- </unjar>
+- <unjar src="${adobefiles.jar}" dest="${pdfbox.dest.dir}/org/apache/pdfbox/resources">
+- <patternset>
+- <include name="com/adobe/pdf/pcfi/glyphlist.txt"/>
+- </patternset>
+- <mapper type="flatten"/>
+- </unjar>
+- </target>
+-
+ <target name="testextract" depends="clean,pdfbox.compile" description="Test text extraction">
+ <junit printsummary="off" fork="on" dir=".">
+ <jvmarg value="-Xmx1024M"/>
+@@ -341,52 +313,7 @@
+ </checkstyle>
+ </target>
+
+- <target name="get.externallibs.pdfbox">
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${bcmail.url}"/>
+- <param name="destfile" value="${bcmail.jar}"/>
+- </antcall>
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${bcprov.url}"/>
+- <param name="destfile" value="${bcprov.jar}"/>
+- </antcall>
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${junit.url}"/>
+- <param name="destfile" value="${junit.jar}"/>
+- </antcall>
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${logging.url}"/>
+- <param name="destfile" value="${logging.jar}"/>
+- </antcall>
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${icu4j.url}"/>
+- <param name="destfile" value="${icu4j.jar}"/>
+- </antcall>
+- </target>
+-
+- <target name="get.externallibs.fontbox">
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${junit.url}"/>
+- <param name="destfile" value="${junit.jar}"/>
+- </antcall>
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${logging.url}"/>
+- <param name="destfile" value="${logging.jar}"/>
+- </antcall>
+- </target>
+-
+- <target name="get.externallibs.jempbox">
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${junit.url}"/>
+- <param name="destfile" value="${junit.jar}"/>
+- </antcall>
+- <antcall target="downloadfile">
+- <param name="sourcefile" value="${logging.url}"/>
+- <param name="destfile" value="${logging.jar}"/>
+- </antcall>
+- </target>
+-
+- <target name="pdfbox.package" depends="get.externallibs.pdfbox,pdfbox.compile" description="Package pdfbox into a jar file">
++ <target name="pdfbox.package" depends="pdfbox.compile" description="Package pdfbox into a jar file">
+ <propertyfile file="${pdfbox.resources.dir}/org/apache/pdfbox/resources/pdfbox.version">
+ <entry key="pdfbox.version" value="${pdfbox.release.name}"/>
+ </propertyfile>
+@@ -405,7 +332,7 @@
+ </jar>
+ </target>
+
+- <target name="fontbox.package" depends="get.externallibs.fontbox,fontbox.compile" description="Package fontbox into a jar file">
++ <target name="fontbox.package" depends="fontbox.compile" description="Package fontbox into a jar file">
+ <jar jarfile="${fontbox.jar}">
+ <fileset dir="${fontbox.dest.dir}"/>
+ <metainf dir="." includes="*.txt"/>
+@@ -419,7 +346,7 @@
+ </jar>
+ </target>
+
+- <target name="jempbox.package" depends="get.externallibs.jempbox,jempbox.compile" description="Package jempbox into a jar file">
++ <target name="jempbox.package" depends="jempbox.compile" description="Package jempbox into a jar file">
+ <jar jarfile="${jempbox.jar}">
+ <fileset dir="${jempbox.dest.dir}"/>
+ <metainf dir="." includes="*.txt"/>
diff --git a/dev-java/pdfbox/metadata.xml b/dev-java/pdfbox/metadata.xml
new file mode 100644
index 00000000000..838c00a4a44
--- /dev/null
+++ b/dev-java/pdfbox/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>java</herd>
+</pkgmetadata>
diff --git a/dev-java/pdfbox/pdfbox-0.7.3-r3.ebuild b/dev-java/pdfbox/pdfbox-0.7.3-r3.ebuild
new file mode 100644
index 00000000000..28f90f16be3
--- /dev/null
+++ b/dev-java/pdfbox/pdfbox-0.7.3-r3.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=1
+JAVA_PKG_IUSE="doc source"
+WANT_ANT_TASKS="ant-nodeps"
+inherit java-pkg-2 java-ant-2
+
+MY_PN="PDFBox"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Java library and utilities for working with PDF documents"
+HOMEPAGE="http://www.pdfbox.apache.org"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.zip"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86 ~amd64-fbsd ~x86-fbsd ~x64-macos"
+IUSE=""
+
+CDEPEND="dev-java/fontbox:0
+ dev-java/bcprov:1.38
+ dev-java/bcmail:1.38
+ dev-java/lucene:2.1
+ dev-java/ant-core:0"
+RDEPEND=">=virtual/jre-1.4
+ ${CDEPEND}"
+DEPEND=">=virtual/jdk-1.4
+ app-arch/unzip
+ ${CDEPEND}"
+
+JAVA_PKG_FILTER_COMPILER="jikes"
+S="${WORKDIR}/${MY_P}"
+
+# missing needed files
+RESTRICT="test"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ rm -v external/*.jar lib/*.jar || die
+ rm -rf docs/javadoc
+
+ # the pdf files used in test cases are not included
+ rm -rf src/test
+
+ cd external
+ java-pkg_jar-from fontbox
+ java-pkg_jar-from bcprov-1.38
+ java-pkg_jar-from bcmail-1.38
+ java-pkg_jar-from lucene-2.1
+ java-pkg_jar-from ant-core ant.jar
+}
+
+EANT_BUILD_TARGET="package"
+
+my_launcher() {
+ java-pkg_dolauncher ${1} --main org.pdfbox.${2}
+ echo "${2} -> ${1}" >> "${T}"/launcher.list
+}
+
+src_install() {
+ java-pkg_newjar lib/${MY_P}-dev.jar
+
+ my_launcher pdfconvertcolorspace ConvertColorspace
+ my_launcher pdfdecrypt Decrypt
+ my_launcher pdfencrypt Encrypt
+ my_launcher pdfexportfdf ExportFDF
+ my_launcher pdfexportxfdf ExportXFDF
+ my_launcher pdfextractimages ExtractImages
+ my_launcher pdfextracttext ExtractText
+ my_launcher pdfimportfdf ImportFDF
+ my_launcher pdfimportxfdf ImportXFDF
+ my_launcher pdfoverlay Overlay
+ my_launcher pdfdebugger PDFDebugger
+ my_launcher pdfmerger PDFMerger
+ my_launcher pdfreader PDFReader
+ my_launcher pdfsplit PDFSplit
+ my_launcher pdftoimage PDFToImage
+ my_launcher printpdf PrintPDF
+ my_launcher texttopdf TextToPDF
+
+ if use doc; then
+ dohtml -r docs/*
+ java-pkg_dojavadoc website/build/site/javadoc
+ fi
+
+ use source && java-pkg_dosrc src/org
+}
+
+pkg_postinst() {
+ elog "This package installs several command line tools for manipulating"
+ elog "PDF files. Some of their names were changed from upstream to"
+ elog "be less ambigous, and not collide with other packages. For"
+ elog "detailed information refer to the html documentation installed with"
+ elog "USE=doc, or ${HOMEPAGE}"
+
+ while read line
+ do
+ elog ${line}
+ done < "${T}"/launcher.list
+}
diff --git a/dev-java/pdfbox/pdfbox-1.8.8.ebuild b/dev-java/pdfbox/pdfbox-1.8.8.ebuild
new file mode 100644
index 00000000000..8cb72f89625
--- /dev/null
+++ b/dev-java/pdfbox/pdfbox-1.8.8.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+EAPI=5
+
+JAVA_PKG_IUSE="source test"
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="Java library and utilities for working with PDF documents"
+HOMEPAGE="http://pdfbox.apache.org/"
+ADOBE_FILES="pcfi-2010.08.09.jar"
+SRC_URI="mirror://apache/${PN}/${PV}/${P}-src.zip
+ http://repo2.maven.org/maven2/com/adobe/pdf/pcfi/2010.08.09/${ADOBE_FILES}"
+LICENSE="BSD"
+SLOT="1.8"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+CDEPEND="dev-java/icu4j:4
+ dev-java/junit:4
+ dev-java/bcprov:1.45
+ dev-java/bcmail:1.45
+ >=dev-java/commons-logging-1.1.1:0"
+RDEPEND=">=virtual/jre-1.7
+ ${CDEPEND}"
+DEPEND=">=virtual/jdk-1.7
+ app-arch/unzip
+ test? (
+ dev-java/ant-junit:0 )
+ ${CDEPEND}"
+
+S="${WORKDIR}/${P}/${PN}"
+
+JAVA_ANT_REWRITE_CLASSPATH="yes"
+
+EANT_GENTOO_CLASSPATH="bcprov-1.45,bcmail-1.45,commons-logging,junit-4,icu4j-4"
+EANT_BUILD_TARGET="pdfbox.package"
+WANT_ANT_TASKS="ant-nodeps"
+
+RESTRICT="test"
+
+src_unpack() {
+ unpack ${A}
+}
+
+java_prepare() {
+ # This patch:
+ # - turns off downloads
+ # - increments version number (silly mistake from upstream)
+ epatch "${FILESDIR}"/${P}-build.xml.patch
+}
+
+src_compile() {
+ java-pkg-2_src_compile
+ mv target/${P}.jar ${P}.jar
+}
+
+src_install() {
+ java-pkg_newjar ${P}.jar ${PN}.jar
+
+ if use source; then
+ java-pkg_dosrc src/main/java/org
+ fi
+}